﻿namespace HeuristicLab.BenchmarkSuite.ERC {
  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class BooleanErcOptions : ErcOption<bool> {
    public BooleanErcOptions() { }

    [StorableConstructor]
    public BooleanErcOptions(bool deserializing) : base(deserializing) { }

    public BooleanErcOptions(BooleanErcOptions origin, Cloner cloner) : base(origin, cloner) {
      AllowFalse = origin.AllowFalse;
      AllowTrue = origin.AllowTrue;
    }

    [Storable]
    public bool AllowFalse { get; set; }
    [Storable]
    public bool AllowTrue { get; set; }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new BooleanErcOptions(this, cloner);
    }
  }
}
